<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $cfg_soft_lang; ?>">
<title>欄目管理</title>
<link href="css/base.css" rel="stylesheet" type="text/css">
<script language="javascript" src="js/global.js"></script>
<script language="javascript" src="js/context_menu.js"></script>
<script language="javascript" src="js/ieemu.js"></script>
<script language="javascript" src="js/dialog.js"></script>
<script language="javascript" src="../include/js/dedeajax2.js"></script>
<script language="javascript">
function LoadSuns(ctid,tid)
{
    
	if($DE(ctid).innerHTML.length < 10){
      $DE('img'+tid).src = 'images/dedecontract.gif';
	  var myajax = new DedeAjax($DE(ctid));
	  myajax.SendGet('catalog_do.php?dopost=GetSunLists&cid='+tid);
  }
  else{ 
  showHide(ctid,tid); 
  }
}
function showHide(objname,tid)
{
    
    if($DE(objname).style.display=="none")
    {
        $DE('img'+tid).src = 'images/dedecontract.gif';
        $DE(objname).style.display = BROWSER.firefox? "" : "block";
    } else {
        $DE('img'+tid).src = 'images/dedeexplode.gif';
        $DE(objname).style.display="none";
    }
}
if(moz) {
	extendEventObject();
	extendElementModel();
	emulateAttachEvent();
}
//普通欄目
function CommonMenu(eobj,obj,tid,tname)
{
  var popupoptions
  popupoptions = [
    new ContextItem("增加內容",function(){location="catalog_do.php?cid="+tid+"&dopost=addArchives";}),
    new ContextItem("管理內容",function(){location="catalog_do.php?cid="+tid+"&dopost=listArchives";}),
    new ContextSeperator(),
    new ContextItem("預覽分類",function(){ window.open("<?php echo $cfg_phpurl; ?>/list.php?tid="+tid); }),
    new ContextItem("更新HTML",function(){ location="makehtml_list.php?cid="+tid; }),
    new ContextItem("獲取JS文件",function(){ location="catalog_do.php?cid="+tid+"&dopost=GetJs"; }),
    new ContextSeperator(),
    new ContextItem("增加子類",function(){location="catalog_add.php?id="+tid;}),
    new ContextItem("更改欄目",function(){location="catalog_edit.php?id="+tid;}),
    new ContextSeperator(),
    new ContextItem("合併欄目",function(){location='catalog_do.php?dopost=unitCatalog&typeid='+tid}),
    new ContextItem("移動欄目",function(){location='catalog_do.php?dopost=moveCatalog&typeid='+tid}),
    new ContextItem("刪除欄目",function(){location="catalog_del.php?id="+tid+"&typeoldname="+tname;}),
    new ContextSeperator(),
    new ContextItem("向上排前一級",function(){ location="catalog_do.php?cid="+tid+"&dopost=upRank"; }),
    new ContextItem("關閉菜單(<u>C</u>)",function(){})
  ]
  ContextMenu.display(eobj,popupoptions)
}
//封面模板
function CommonMenuPart(eobj,obj,tid,tname)
{
  var popupoptions
  popupoptions = [
    new ContextItem("管理內容",function(){location="catalog_do.php?cid="+tid+"&dopost=listArchives";}),
    new ContextSeperator(),
    new ContextItem("預覽分類",function(){ window.open("<?php echo $cfg_phpurl; ?>/list.php?tid="+tid); }),
    new ContextItem("更新HTML",function(){ location="makehtml_list.php?cid="+tid; }),
    new ContextItem("獲取JS文件",function(){ location="catalog_do.php?cid="+tid+"&dopost=GetJs"; }),
    new ContextSeperator(),
    new ContextItem("增加子類",function(){location="catalog_add.php?id="+tid;}),
    new ContextItem("更改欄目",function(){location="catalog_edit.php?id="+tid;}),
    new ContextSeperator(),
    new ContextItem("移動欄目",function(){location='catalog_move.php?job=movelist&typeid='+tid}),
    new ContextItem("刪除欄目",function(){location="catalog_del.php?id="+tid+"&typeoldname="+tname;}),
    new ContextSeperator(),
    new ContextItem("向上排前一級",function(){ location="catalog_do.php?cid="+tid+"&dopost=upRank"; }),
    new ContextItem("關閉菜單(<u>C</u>)",function(){})
  ]
  ContextMenu.display(eobj,popupoptions)
}
//跳轉欄目
function SingleMenu(eobj,obj,tid,tname)
{
  var popupoptions
  popupoptions = [
    new ContextItem("更改欄目",function(){location="catalog_edit.php?id="+tid;}),
    new ContextSeperator(),
    new ContextItem("移動欄目",function(){location='catalog_move.php?job=movelist&typeid='+tid}),
    new ContextItem("刪除欄目",function(){location="catalog_del.php?id="+tid+"&typeoldname="+tname;}),
    new ContextSeperator(),
    new ContextItem("向上排前一級",function(){ window.location="catalog_do.php?cid="+tid+"&dopost=upRank"; }),
  new ContextItem("關閉菜單(<u>C</u>)",function(){})
  ]
  ContextMenu.display(eobj,popupoptions)
}
</script>
<style>
.coolbg2 {
border: 1px solid #000000;
background-color: #F2F5E9;
height:18px
}
.coolbt2 {
  border-left: 2px solid #EFEFEF;
  border-top: 2px solid #EFEFEF;
  border-right: 2px solid #ACACAC;
  border-bottom: 2px solid #ACACAC;
  background-color: #F7FCDA
}
.nbline {border-bottom: 1px solid #d6d6d6; background-color:#FFFFFF; }
.bline2 {border-bottom: 1px solid #d6d6d6; background-color:#F9FCEF; }
</style>
</head>
<body background='images/allbg.gif' leftmargin='8' topmargin='8' onLoad="ContextMenu.intializeContextMenu()">
<table width="98%" border="0" cellpadding="3" cellspacing="1" bgcolor="#cfcfcf" align="center">
<tr>
   <td height="28" background='images/tbg.gif' style="padding-left:10px;">
   <div style="float:left">
    	<strong>網站欄目管理 </strong>
   </div>
   <div style="float:right;padding-right:6px;">
   	<a href='catalog_add.php?listtype=all' class='np coolbg'>增加頂級欄目</a>
    <a href='catalog_add.php?dopost=quick' class='np coolbg'>批量增加欄目</a>
   	<a href="catalog_do.php?dopost=upcatcache" class='np coolbg'>更新欄目緩存</a>
   	<a href="makehtml_list.php" class='np coolbg'>更新欄目HTML</a>
   </a>
   </td>
</tr>
<tr>
    <td height="28" bgcolor="#ffffff">
    	<table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="51%">提示：可使用右鍵菜單進行操作。</td>
          <td width="49%" align="right">
          	<?php if(!isset($exallct)) { ?>
          	<a href='catalog_main.php?exallct=all'>[展開全部]</a>
           <?php }else{ ?>
           	<a href='catalog_main.php'>[普通模式]</a>
           <?php } ?>
          </td>
        </tr>
      </table>
   </td>
</tr>
<form name='form1' method='post' action='catalog_do.php?dopost=upRankAll'>
<tr>
<td height="120" bgcolor="#FFFFFF" valign="top">
<?php
if(empty($opendir)) $opendir=-1;
if($userChannel>0) $opendir=$userChannel;
$tu = new TypeUnit();
$tu->ListAllType($userChannel,$opendir);
?>
<br/>
</td>
</tr>
</form>
<tr>
 <td height="36" bgcolor="#FFFFFF" align="center">
 <table width="98%" border="0" cellspacing="0" cellpadding="0">
   <tr>
    <td align="right">
		  <input type="button" name="sb1" value="更新排序" style="width:70px" class="coolbt" onClick="document.form1.submit();" /> 
      <input type="button" name="sb4" value="獲取JS" style="width:70px" class="coolbt" onClick="location='makehtml_js.php';" />
		  <input type="button" name="sb2" value="更新欄目HTML" style="width:90px" class="coolbt" onClick="location='makehtml_list.php';" /> 
      <input type="button" name="sb3" value="更新文檔HTML" style="width:90px" class="coolbt" onClick="location='makehtml_archives.php';" />
		  </td>
    </tr>
   </table>
 </td>
</tr>
</table>
</body>
</html>